# Typescript builder

Builder wrapping [Typescript](https://www.npmjs.com/package/typescript) compiler CLI and providing the following additional functionality:

* dist folder cleaning
* copying of static assets
* [API Extractor](https://www.npmjs.com/package/@microsoft/api-extractor) and [API Documenter](https://www.npmjs.com/package/@microsoft/api-documenter) integration
* [Custom Elements Manifest Analyzer](https://www.npmjs.com/package/@custom-elements-manifest/analyzer) integration


## Installation

To enable this module in your application, follow the steps below.

1. Add `@genesislcap/ts-builder` as a dependency in your `package.json` file. Whenever you change the dependencies of your project, ensure you run the `$ npm run bootstrap` command again. You can find more information in the [package.json basics](https://learn.genesis.global/secure/web/basics/package-json-basics/) page.

```json
{
  ...
  "dependencies": {
    ...
    "@genesislcap/ts-builder": "latest"
    ...
  },
  ...
}
```

## [API Docs](./docs/api/index.md)

## License

Note: this project provides front-end dependencies and uses licensed components listed in the next section; thus, licenses for those components are required during development. Contact [Genesis Global](https://genesis.global/contact-us/) for more details.

### Licensed components
Genesis low-code platform